Claim Tokens

Submit a claim for tokens by providing a social media post URL.

Endpoint

POST https://gigbot.xyz/api/claim

Request Body

{
  "url": "string" // URL of social media post
}

How to Claim

  1. Create Post on Farcaster or X:

    // Option 1: With address
    Claim my rewards 0x77b4922fcc0fa745bcd7d76025e682cfffc9a149
    
    // Option 2: Without address (Farcaster only)
    Claim my rewards
  2. Submit post URL:

    {
      "url": "https://farcaster.xyz/user/0x123..."
    }

Success Response (200)

Common Errors

400 Bad Request

  • Multiple "Claim my rewards" messages

  • No "Claim my rewards" message

  • Invalid Ethereum address

  • Multiple Ethereum addresses

404 Not Found

  • Cast not found

  • No tips found

  • No verified address

500 Server Error

  • Internal server error while processing claim

URL Format Requirements

  • Farcaster: https://farcaster.xyz/{username}/0x{hash}

  • X/Twitter: https://twitter.com/{username}/status/{tweet_id}

Last updated